classification
Title: serve.py (using wsgiref) cannot serve Python docs under Python3 due to encoding issues
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: djc, ezio.melotti, pitrou, r.david.murray, techtonik
Priority: normal Keywords: patch

Created on 2010-05-31 23:22 by r.david.murray, last changed 2010-08-03 17:12 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
serve.patch pitrou, 2010-08-03 17:04
Messages (3)
msg106819 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-05-31 23:22
If you do a 'make serve' in the docs directory (after doing a make html, of course) and try to open the What's New link in the served doc pages, the following error results:

ValueError: Unicode data must contain only code points representable in ISO-8859-1 encoding
msg112633 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-08-03 17:04
Here is a simple patch.
msg112634 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-08-03 17:12
Fixed in r83673.
History
Date User Action Args
2010-08-03 17:12:13pitrousetstatus: open -> closed
resolution: fixed
messages: + msg112634
2010-08-03 17:04:40pitrousetfiles: + serve.patch

nosy: + pitrou
messages: + msg112633

keywords: + patch
2010-08-03 14:19:47djcsetnosy: + djc
2010-06-01 19:08:13techtoniksetnosy: + techtonik
2010-06-01 08:35:02ezio.melottisetnosy: + ezio.melotti
2010-05-31 23:22:36r.david.murraycreate